org.apache.sysds.common

## Enum Types.OpOpDG

- java.lang.Object
- - java.lang.Enum<Types.OpOpDG>
  - - org.apache.sysds.common.Types.OpOpDG

All Implemented Interfaces:
  Serializable, Comparable<Types.OpOpDG>

Enclosing class:
  Types

    public static enum Types.OpOpDG
    extends Enum<Types.OpOpDG>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FRAMEINIT`
`RAND`
`SAMPLE`
`SEQ`
`SINIT`
`TIME`

### Method Summary

All Methods Static Methods Concrete Methods
`static Types.OpOpDG` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.OpOpDG[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RAND

    public static final Types.OpOpDG RAND

#### SEQ

    public static final Types.OpOpDG SEQ

#### FRAMEINIT

    public static final Types.OpOpDG FRAMEINIT

#### SINIT

    public static final Types.OpOpDG SINIT

#### SAMPLE

    public static final Types.OpOpDG SAMPLE

#### TIME

    public static final Types.OpOpDG TIME

### Method Detail

#### values

    public static Types.OpOpDG[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Types.OpOpDG c : Types.OpOpDG.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Types.OpOpDG valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null